SNMPBULKGET(1)

NAME
snmpbulkget - communicates with a network entity using SNMP GETBULK requests.

SYNOPSIS
snmpbulkget [APPLICATION OPTIONS] [COMMON OPTIONS] OID [OID]...

DESCRIPTION
snmpbulkget is an SNMP application that uses the SNMP GETBULK request to query a network entity efficiently for information. One or more object identifiers (OIDs) may be given as arguments on the command line. Each variable name is given in the format specified in variables(5).

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint why the request was malformed.

OPTIONS

-Cn<NUM>
    Set the non-repeaters field in the GETBULK PDU. This specifies the number of supplied variables that should not be iterated over. The default is 0.

-Cr<NUM>
    Set the max-repetitions field in the GETBULK PDU. This specifies the maximum number of iterations over the repeating variables. The default is 10.

In addition to these options, snmpbulkget takes the common options described in the snmpcmd(1) manual page.

EXAMPLE
The command:

snmpbulkget -v2c -Cn1 -Cr5 -Os -c public zeus system ifTable

will retrieve the variable system.sysDescr.0 (which is the lexicographically next object to system) and the first 5 objects in the ifTable:

sysDescr.0 = STRING: "SunOS zeus.net.cmu.edu 4.1.3_U1 1 sun4m"
ifIndex.1 = INTEGER: 1
ifIndex.2 = INTEGER: 2
ifDescr.1 = STRING: "lo0"
et cetera.

NOTE
As the name implies, snmpbulkget utilizes the SNMP GETBULK message, which is not available in SNMPv1.

SEE ALSO
snmpcmd(1), variables(5), RFC 1905.